мир.ввод = {
    клавиши: {},
};


// // // //


window.addEventListener("keydown", function(o) {
    мир.ввод.обработатьКлавишу(o.key, true);
});
window.addEventListener("keyup", function(o) {
    мир.ввод.обработатьКлавишу(o.key, false);
});


// // // //


мир.ввод.обработатьКлавишу = function(клавиша, нажата)
{
    // Исключаем повторы.
    if (мир.ввод.клавиши[клавиша] == нажата)
    {
        return;
    }

    мир.ввод.клавиши[клавиша] = нажата;
};
